Skip to main content
GET
Channel Lives
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

channelId
string

YouTube channel ID

Example:

"UCWsDFcIhY2DBi3GB5uykGXA"

handle
string

YouTube channel handle

Example:

"IShowSpeed"

continuationToken
string

Continuation token to get more lives. Get 'continuationToken' from previous response.

Response

Successful response containing channel live streams

Key Response Fields:

  • lives[].id: YouTube video ID
  • lives[].url: Full URL to the live stream
  • lives[].title: Live stream title
  • lives[].thumbnail: Thumbnail image URL
  • lives[].viewCountText: Formatted view/waiting count (e.g. "54 waiting", "1.2M")
  • lives[].viewCountInt: Numeric view count
  • lives[].publishedTimeText: Human-readable publish or schedule time
  • lives[].lengthText: Duration label (e.g. "2:13:29" or "Upcoming")
  • lives[].lengthSeconds: Duration in seconds (null for upcoming streams)
  • continuationToken: Token to fetch the next page of live streams (null if no more pages)